API documentation
API pagination
Orion Data API v1.3 · Latest
How to page through large result sets using the offset query parameter.
Endpoints that can return large result sets are paginated. Pagination is controlled by the offset query parameter.
How pagination works
Section titled “How pagination works”offsetis the page number to return, starting at0.- Each page contains up to 100 records.
- Increase
offsetby one to retrieve the next page. - When a request returns an empty array, you have reached the end of the available data.
Example
Section titled “Example”Retrieve the first page of results:
curl -X GET "https://api.oriondata.io/api/sensorData?startDate=2024-09-09&endDate=2024-09-16&offset=0&sensorIds=54321" \ -H "Authorization: Bearer $TOKEN"Retrieve the next page by incrementing offset:
curl -X GET "https://api.oriondata.io/api/sensorData?startDate=2024-09-09&endDate=2024-09-16&offset=1&sensorIds=54321" \ -H "Authorization: Bearer $TOKEN"Continue incrementing offset until the response is an empty array [].